> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoutlayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# GitHub User API

> Bio, company, location, and follower/repo counts.



## OpenAPI

````yaml openapi.json GET /v1/github/users/{handle}
openapi: 3.0.0
info:
  title: ScoutLayer API
  version: 1.0.0
  description: Competitor data. One API.
servers:
  - url: https://api.scoutlayer.io
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /v1/github/users/{handle}:
    get:
      tags:
        - github
        - users
      summary: Get a GitHub user or organization by handle
      description: Bio, company, location, and follower/repo counts.
      parameters:
        - schema:
            type: string
            minLength: 1
            example: shopify
          required: true
          name: handle
          in: path
      responses:
        '200':
          description: Get a GitHub user or organization by handle
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitHubUser'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '501':
          description: This endpoint is declared but not yet implemented — never charged
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: The orchestrator failed or was unreachable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    GitHubUser:
      type: object
      properties:
        handle:
          type: string
        userId:
          type: integer
        name:
          type: string
          nullable: true
        company:
          type: string
          nullable: true
        blogUrl:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        bio:
          type: string
          nullable: true
        avatarUrl:
          type: string
        metrics:
          type: object
          properties:
            publicRepos:
              type: integer
            followers:
              type: integer
            following:
              type: integer
          required:
            - publicRepos
            - followers
            - following
        createdAt:
          type: string
        checkedAt:
          type: string
      required:
        - handle
        - userId
        - name
        - company
        - blogUrl
        - location
        - bio
        - avatarUrl
        - metrics
        - createdAt
        - checkedAt
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_FOUND
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key passed as the X-API-Key request header. Recommended for
        server-to-server calls.
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (or OAuth token) passed as a Bearer token in the Authorization
        header.

````